## ros-melodic-rosserial-server 0.8.0

=== debian/changelog ===
ros-melodic-rosserial-server (0.8.0-0stretch) stretch; urgency=high

  * Fix compiling on boost > 1.66 (#362 <https://github.com/ros-drivers/rosserial/issues/362>)
    Reflective of changes made to boost::asio noted here:
    http://www.boost.org/doc/libs/1_66_0/doc/html/boost_asio/net_ts.html
  * Contributors: Fan Jiang

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 11 Oct 2018 04:00:00 -0000

ros-melodic-rosserial-server (0.7.7-0stretch) stretch; urgency=high

  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * Contributors: Bei Chen Liu

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 29 Nov 2017 05:00:00 -0000

ros-melodic-rosserial-server (0.7.6-0stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 01 Mar 2017 05:00:00 -0000

ros-melodic-rosserial-server (0.7.5-0stretch) stretch; urgency=high

  * Fixing build errors for boost >=1.60 (#226 <https://github.com/ros-drivers/rosserial/issues/226>) (#250 <https://github.com/ros-drivers/rosserial/issues/250>)
  * Contributors: Malte Splietker

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 22 Nov 2016 05:00:00 -0000

ros-melodic-rosserial-server (0.7.4-0stretch) stretch; urgency=high

  * Use catkin_EXPORTED_TARGETS to avoid CMake warning (#246 <https://github.com/ros-drivers/rosserial/issues/246>)
  * Fix AsyncReadBuffer for UDP socket case. (#245 <https://github.com/ros-drivers/rosserial/issues/245>)
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 21 Sep 2016 04:00:00 -0000

ros-melodic-rosserial-server (0.7.3-0stretch) stretch; urgency=high

  * Avoid runaway async condition when port is bad. (#236 <https://github.com/ros-drivers/rosserial/issues/236>)
  * Add missing install rule for udp_socket_node
  * Make the ~require param configurable from Session. (#233 <https://github.com/ros-drivers/rosserial/issues/233>)
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 05 Aug 2016 04:00:00 -0000

ros-melodic-rosserial-server (0.7.2-0stretch) stretch; urgency=high

  * Implementation of native UDP rosserial server. (#231 <https://github.com/ros-drivers/rosserial/issues/231>)
  * Explicit session lifecycle for the serial server. (#228 <https://github.com/ros-drivers/rosserial/issues/228>)
    This is a long overdue change which will resolve some crashes when
    USB serial devices return error states in the face of noise or other
    interruptions.
  * Support for VER1 protocol has been dropped.
  * Handle log messages in rosserial_server
  * Contributors: Mike Purvis, mkrauter

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 15 Jul 2016 04:00:00 -0000

ros-melodic-rosserial-server (0.7.1-0stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 06 Jul 2015 04:00:00 -0000

ros-melodic-rosserial-server (0.7.0-0stretch) stretch; urgency=high

  * Fill out description field in package.xml.
  * Bugfix for checksum.
    Publishing topics fails when messages are over 256 bytes in length due to checksum() function or'ing high and low byte instead of adding them.
  * rosserial_server: Properly receive messages > 255 bytes.
  * Contributors: Chad Attermann, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 23 Apr 2015 04:00:00 -0000

ros-melodic-rosserial-server (0.6.3-0stretch) stretch; urgency=high

  * Add more log output, don't end the session for certain write errors.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 05 Nov 2014 05:00:00 -0000

ros-melodic-rosserial-server (0.6.2-0stretch) stretch; urgency=high

  * Bugfix for interrupted sessions.
    This is a two-part fix for an issue causes a segfault when the device
    disappears during operation, for example a ttyACM device which is unplugged.
    The AsyncReadBuffer part avoids calling a callback after the object
    owning it has destructed, and the SerialSession part avoids recreating
    itself until the previous instance has finished the destructor and been
    full destroyed.
  * Add dependency on rosserial_msgs_gencpp, fixes #133 <https://github.com/ros-drivers/rosserial/issues/133>
  * Make ServiceClient::handle public, to fix compilation bug on some platforms.
  * Enabled registration of service clients
  * Add namespaces to headers, swap ROS thread to foreground.
  * Move headers to include path, rename to follow ROS style.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-melodic-rosserial-server (0.6.1-0stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 30 Jun 2014 04:00:00 -0000

ros-melodic-rosserial-server (0.6.0-0stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-melodic-rosserial-server (0.5.6-0stretch) stretch; urgency=high

  * Fixed build error due to variable being read as a function due to missing parenthesis
  * Add rosserial_python as dependency of rosserial_server
  * Contributors: Mike Purvis, spaghetti-

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-melodic-rosserial-server (0.5.5-0stretch) stretch; urgency=high

  * Add support for require/publishers and require/subscribers parameters.
  * Use stream logging in rosserial_server

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 14 Jan 2014 05:00:00 -0000

ros-melodic-rosserial-server (0.5.4-0stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 17 Oct 2013 04:00:00 -0000

ros-melodic-rosserial-server (0.5.3-0stretch) stretch; urgency=high

  * New package: rosserial_server
  * Contains example launch file for serial configuration of server
  * Working now with both Groovy and Hydro clients.
  * Subscriber to correctly declare known md5 and topic type from client.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sat, 21 Sep 2013 04:00:00 -0000
